gnome-appearance does not reflect order of metacity buttons correctly

Bug #532754 reported by Bernhard on 2010-03-05
166
This bug affects 33 people
Affects Status Importance Assigned to Milestone
gnome-control-center
Expired
Low
metacity (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: gnome-control-center

Screenshot says it all: since the order of metacity buttons has recently changed, this is not correctly reflected in gnome-appearance theme manager.

Bernhard (b.a.koenig) wrote :
Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
WalterCool (waltercool) wrote :

Minor or med problem... idk

 $ gconftool-2 --set "/apps/metacity/general/button_layout" --type string ":minimize,maximize,close"

Dave Gilbert (ubuntu-treblig) wrote :

I've just confirmed this since I have the same problem - although in my case they've all decided to clump on the left side rather than the right side - see attached screenshot.

Bernhard (b.a.koenig) wrote :

BUGabundo: it's not about the position of the metacity buttons, it's about the fact that they are not correctly displayed in gnome-appearance (whatever their order is).

Dave Gilbert (ubuntu-treblig) wrote :

Bernhard:
  Are you sure? It was the position (although not order) of the buttons that was the surprise for me - I think the gnome-appearance is how I'd expect them.

Dave

Bernhard (b.a.koenig) wrote :

All I'm saying is that gnome-appearance does not properly reflect the metacity buttons and this is obvious from the screenshots.

@Dave: they moved the buttons over to the left yesterday. This seems to become the new Ubuntu default. You can also change that back in gconf-editor. But this bug is about the fact that gnome-appearance shows the buttons different from the way they really are.

Dave Gilbert (ubuntu-treblig) wrote :

Bernhard:
  But is the move of the button a part of the theme or something separate? I'd assumed it would be part of the theme - it should be which seems to be the real problem!

Dave

Bernhard (b.a.koenig) wrote :

Dave: the move of the metacity buttons is not a bug but rather a design decision by the Ubuntu team. Change it back with instructions from here: http://www.everyjoe.com/newlinuxuser/move-your-metacity-buttons-in-gnome/

What I described here is a real bug though imho.

Dave Gilbert (ubuntu-treblig) wrote :

OK, so I've created

https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/533758

which requests that the button position is part of the theme.
As I see it moving it to the theme still lets the new design decision stick to the new themes
it just makes it easier for people to put it back if they don't like the new design.

Given the description I agree your bug is real as well,

Dave

Changed in gnome-control-center (Ubuntu):
importance: Undecided → Low
Vish (vish) wrote :

Assigning to canonical desktop team as per Rick Spenser's assign in Bug #540907 .

Also to note is the upstream comment:
" Jens Granseuer [developer]
The preview is actually rendered by metacity so it's not a bug in the control-center."

Hence changing packages.

affects: gnome-control-center (Ubuntu) → metacity (Ubuntu)
Changed in metacity (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
status: Confirmed → Triaged
Didier Roche (didrocks) wrote :

 @Vish: I had a look recently (post beta 2), and saw the changes needed to be done into metacity. It's more than intrusive and didn't fit for lucid at this stage of the release. It should be looked for maverick (if gnome-appeareance-properties is still present as it in GNOME 2.32, which isn't sure).

Stephen Brandwood (sbrandwoo) wrote :

This bug is especially important in Ubuntu 10.04 where different themes push the window buttons into different corners of the window. Each of the example images on the Theme and Window Border pages should show the window buttons where they will actually appear in the theme.

Are the images on these two pages generated by hand or automatically?

Bernhard (b.a.koenig) wrote :

Stephen, the images are just simple desktop screenshots.

Then surely this was a trivial fix and should and could have been fixed
before the release?

On 2 May 2010 21:22, "Bernhard" <email address hidden> wrote:

Stephen, the images are just simple desktop screenshots.

--
gnome-appearance does not reflect order of metacity buttons correctly
https://bugs.launchpad.ne...

Bernhard (b.a.koenig) wrote :

David, it's a rather aestetic issue, so I guess it didn't have absolute priority. I hope it will be fixed at some point though.

David Rubin (drubin) wrote :

On Sun, May 2, 2010 at 9:44 PM, Bernhard <email address hidden> wrote:
> David, it's a rather aestetic issue, so I guess it didn't have absolute
> priority. I hope it will be fixed at some point though.

It might not have had priority but there is almost no point fixing it.
Other then the fact that there will be a 10.04.1 release.

The whole point of this would be for when new users get presented with
the themes they can at least pick a theme that matches their required
button layout. Any user that has gotten to the upgrade step is pretty
competent user :)

Didier Roche (didrocks) wrote :

@David: see my comment on this same bug about the fact is was NOT trivial: https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/532754/comments/12

David Rubin (drubin) wrote :

On Mon, May 3, 2010 at 9:40 AM, Didier Roche <email address hidden> wrote:
> @David: see my comment on this same bug about the fact is was NOT
> trivial:
> https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/532754/comments/12

Ok, there were a few mixed views about how trivial it was and yes I
agree doing pretty invasive changes late in lucid changes would not
have been a great idea.

Vish (vish) wrote :

"Bernhard wrote :
Stephen, the images are just simple desktop screenshots."

When in doubt its better *not* to comment. ;-) It is not simple screenshots .

Bernhard (b.a.koenig) wrote :

Vish: depends on what Stephen was talking about. :)
I thought he meant the screenshots on this bug page.

Stephen Brandwood (sbrandwoo) wrote :

I was talking about the images on the gnome-appearance panels. It would be interesting to know how these images are generated and why they don't show the correct control alignment already.

Just for reference, this is how it looks like in Lucid now for the Radiance theme: http://launchpadlibrarian.net/48331102/theme%20selector.png

Changed in gnome-control-center:
status: Unknown → New
Changed in gnome-control-center:
importance: Unknown → Low
Martin Pitt (pitti) on 2011-02-21
Changed in metacity (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
David Gerard (dgerard) wrote :

Still present in Natty 2011-03-02.

This is a really obvious fit-and-finish error, quite jarring given the Maclike nature of the Unity interface.

Changed in gnome-control-center:
status: New → Expired
zpletan (zpletan) wrote :

Should this bug be closed, since the theme switcher in Oneiric doesn't show screenshots?

Changed in metacity (Ubuntu):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.